Subject: bug#45824: 27.1; term/screen.el not loaded when TERM=screen.xterm-256color

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jan 2021 17:26:19 +0100

Eli Zaretskii <[email-masked]> writes:

> I just don't see where that would end, that's all.  Any
> terminal emulator can call itself anything, and Emacs cannot possibly
> know all the future names.
>
> But that's me; if Lars thinks we should have built-in support for this
> use case, I won't argue.  I was just responding to his request for
> other opinions.

Even though it's a slippery slope adding more DWIM here, I think the
proposed tweak makes sense.  It seems unlikely to break anything, and it
makes the common Emacs-under-screen case work better automatically.

So I think we should give it a go, but if it regresses anything, it
should be backed out again.  Pushed now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no